story/urls.py
from django.contrib import admin
from django.urls import include, path
from django.views.generic import RedirectView
from story8.views import database

urlpatterns = [
    path('admin/', admin.site.urls),
    path('index/', include('homepage.urls')),
    path('', RedirectView.as_view(url='/index/')),
    path('resume/', include('resume.urls')),
    path('story5/', include('story5.urls')),
    path('story6/', include('story6.urls')),
    path('story7/', include('story7.urls')),
    path('story8/', include('story8.urls')),
    path('database/', database, name='database'),
    path('story9/', include(('story9.urls', 'story9'), namespace='story9')),
]

story5/urls.py
from django.urls import path
from . import views

app_name = 'story5'

urlpatterns = [
    path('delete/<int:id>', views.course_delete, name='course_delete'),
    path('story5/', views.college_course, name='college_course'),
    path('', views.registration_form, name='registration_form')
]

story6/urls.py
from django.urls import path
from . import views

app_name = 'story6'

urlpatterns = [
    path('post_kegiatan', views.post_kegiatan, name='post_kegiatan'),
    path('post_peserta/<int:id_kegiatan>', views.post_peserta, name='post_peserta'),
    path('', views.activity, name='activity'),
]

story9/urls.py
from django.urls import path
from . import views

app_name = 'story9'

urlpatterns = [
    path('login/', views.masuk, name = 'login'),
    path('signup/', views.baru, name='signup'),
    path('logout/', views.keluar, name='logout'),
]

story5/models.py
from django.db import models

# Create your models here.

class Models(models.Model):
    course_name = models.CharField(max_length = 30)
    lecture_time = models.CharField(max_length=30)
    room = models.CharField(max_length=30)

    def __str__(self):
        return "{}.{}".format(self.id, self.course_name)

story5/forms.py
from django import forms
from .models import Models
from django.forms import ModelForm

class ModelsForm(forms.ModelForm):
    class Meta :
        model = Models
        fields = [
            'course_name',
            'lecture_time',
            'room',    
        ]

        widgets = {
            'course_name':forms.TextInput(attrs={'class':'form-control','placeholder':'Enter the course name'}),
            'lecture_time':forms.TextInput(attrs={'class':'form-control','placeholder':'Enter the lecture time'}),
            'room':forms.TextInput(attrs={'class':'form-control','placeholder':'Enter the room name'}),
        }

story5/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse
from .forms import ModelsForm
from .models import Models
from django.contrib import messages

# Create your views here.
def registration_form(request):
    post_form = ModelsForm(request.POST or None)

    if request.method == "POST":
        if post_form.is_valid():
            post_form.save()
        return redirect('story5:college_course')
    data_form = {
        'post_form' : post_form
    }
    return render(request, 'create.html', data_form)

def college_course(request):
    list_form = Models.objects.all()
    data_form = {
        'list_form' : list_form
    }
    print(list_form)
    return render(request, 'college_course.html', data_form)


def course_delete(request, id):
    Models.objects.filter(pk=id).delete()
    return redirect('story5:college_course')

story5/templates/base3.html
{% load static %}
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My First Website</title>
    <link rel="stylesheet" href="{% static 'stylesheets.css' %}">
    <link rel="stylesheet" href="{% static 'responsives.css' %}">
    <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
  </head>
  <body>
    <header>
      <div class="container">
        <div class="header-left">
          <img class="logo" src="{% static 'image/logo.png' %}">
        </div>
        <!-- Add a menu icon here -->
        <span class="menu-icon"></span>
        <div class="header-right">
          {% if user.is_authenticated %}
          <a href="/index">Home</a>
          <a href="{% url 'story5:registration_form' %}">Schedule</a>
          <a href="{% url 'story6:activity' %}">Activity</a>
          <a href="/story7">Accordion</a>
          <a href="/story8">Books</a>
          <a href="{% url 'story9:logout' %}">Logout</a>
          {% else %}
          <a href="{% url 'story9:login' %}">Login</a>
          <a href="{% url 'story9:signup' %}">Sign Up</a>
          {% endif %}
        </div>
      </div>
    </header>
    <div class="top-wrapper">
      {% block content %}
      {% endblock %}
    </div>
  </body>
</html>

story5/templates/college_course.html
{% extends "base3.html" %}
{% block content %}

    <div class="container form" style ="text-align: center; background: linear-gradient(45deg, #561354, #a77474);">
        <h1 class="text-center" style ="text-align: center; color: white; font-size: 45px; margin-top: 2px;">My College Courses</h1>
        <table class="table mt-5" style ="text-align: center;">
            <thead class="thead-dark" style ="text-align: center;">
            <tr>
                <th scope="column" style ="text-align: center; color: white;">No.</th>
                <th scope="column" style ="text-align: center; color: white;">Course Name	</th>
                <th scope="column" style ="text-align: center; color: white;">Lecture Time</th>
                <th scope="column" style ="text-align: center; color: white;">Room</th>
                <th scope="column" style ="text-align: center; color: white;">Delete</th>
            </tr>
            </thead>
            <tbody>
        
                {% for post in list_form %}

                <tr>
                    <th scoper="row"  style ="text-align: center;">{{forloop.counter}}</th>
                    <td style ="text-align: center;">{{post.course_name}}</td>
                    <td style ="text-align: center;">{{post.lecture_time}}</td>
                    <td style ="text-align: center;">{{post.room}}</td>
                    <td style ="text-align: center; color: #a0199c"><a class="btn btn-danger" href="{% url 'story5:course_delete'  id=post.id %}" style="background: #53488d;">Delete</a>
                </tr>

                {% endfor %}

            </tbody>
        </table>
        <a class="btn btn-primary" href="{% url 'story5:registration_form' %}" style="background: #53488d;">Add</a>
    </div>
{% endblock content %}

story5/templates/create.html
{% extends "base3.html" %}

{% block content %}
    <div class="container form" id="form">
        <h1 class="text-center" style ="text-align: center; color: white; font-size: 50px;">Registration form</h1>
    <form method="POST">
        {% csrf_token %}
        <div class="form-group" style ="color: white; width: 922px; padding:10px; margin-left: -50px;">
            {{post_form.course_name.label_tag}}
            {{post_form.course_name}}
        </div>
        <div class="form-group" style ="color: white; width: 830px; padding:10px; ">
            {{post_form.lecture_time.label_tag}}
            {{post_form.lecture_time}}
        </div>
        <div class="form-group" style ="color: white; width: 950px; padding:10px; margin-left: -32px;">
            {{post_form.room.label_tag}}
            {{post_form.room}}
        </div>
        <button type="Submit" style="padding: 10px 20px; background: #53488d; color: white; margin-right: -27px;">Submit</button>
    </form>
    </div>

{% endblock content %}